2010-05-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Startup.csproj: Disable overflow checks.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs: Bumped MD version.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Startup.csproj: Flush.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs: Bump MD version.

2009-09-16  Lluis Sanchez Gual  <lluis@novell.com>

	* app.config: Added version redirect for SharpZipLib. Monodoc
	  is linked to an old version, and fails on Windows. Removed
	  old log4net stuff.

2009-08-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Startup/MonoDevelopMain.cs: If the runtime could
	  not be initialized, don't try to rebuild the registry.

2009-06-19  Mike Krüger  <mkrueger@novell.com>

	* AssemblyInfo.cs: Commented out empty assembly key file
	  attribute (Bug 513981 - Project template causes CS1726
	  errors).

2009-06-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Startup\MonoDevelopMain.cs: On Windows log all
	  process output to a file.

2009-04-30  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Startup.csproj: Set output type to winexe. Use a
	  local configuration directory when running inside md.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Startup/MonoDevelopMain.cs: Renamed a class.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs: Bump MD version.

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Startup/MonoDevelopMain.cs: The runtime is now
	  initialized by the Ide.

2009-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Startup.csproj: Remove more inadvertent local
	  copying of references.

2009-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Startup.csproj: Add an x86 configuration because
	  GTK# on Windows is only available in x86.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Startup.mdp:
	* MonoDevelop.Startup.csproj: Migrated to MSBuild file format.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs: Bump MD version.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Startup.mdp: Flush project format changes.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Startup.mdp: Set correct target framework.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Startup.mdp: Don't require a specific version of
	Mono.Addins.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Make it work for parallel builds.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AssemblyInfo.cs:
	* AssemblyInfo.cs.in:
	* MonoDevelop.Startup.mdp: Add AssemblyInfo.cs files that are
	autogenerated from the addin manifests.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Startup.mdp: Updated.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Startup.mdp: Set some env vars when starting the project.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Startup.mdp, MonoDevelop.exe.addins, Makefile.am: Directory
	  reorganization.

2007-11-12  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Startup/MonoDevelopMain.cs: Use SetProcessName; "killall
	  monodevelop" will work now. Convert some WriteLines to logging calls.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Startup.mdp: Project file names updated by change in MD path
	  functions.

2007-09-07  Michael Hutchinson <mhutchinson@novell.com> 

	* app.config: Change console log level to "WARN". Verbosity doesn't increase
	  substantially, and the warning messages do generally indicate a problem.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Startup.mdp, Makefile.am: Reorganized the extension point
	  hierarchy. Embedded all add-in manifests as resources.
	* MonoDevelop.Startup/MonoDevelopMain.cs: The IDE is not implemented as an
	  add-in anymore.

2007-07-30  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Startup.glade, MonoDevelop.Startup.mdp: Removed unused
	  file.

2007-07-27  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Startup/MonoDevelopMain.cs: If MD fails to start, rebuild
	  the add-in database and try again.

2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am: Reference shared assemblies from the correct location.

2007-05-07  Lluis Sanchez Gual <lluis@novell.com> 

	* SharpDevelop.exe.manifest, MonoDevelop.Startup.mdp: Remove unused
	  files.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Startup.mdp, MonoDevelop.Startup/MonoDevelopMain.cs,
	  MonoDevelop.exe.addins, Makefile.am: Migration to Mono.Addins.

2007-04-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Startup.mdp: Don't copy referenced assemblies.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am: Flush.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Startup.mdp, Makefile.am: Set target runtime to 2.0.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Startup.mdp, Makefile.am: Synchronized MD project and
	  makefile.

2007-02-08  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Startup.mdp, Makefile.am: distcheck fixes.

2006-09-19 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.Startup.mdp: Updated.

2006-05-04 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Startup.mdp: Updated.

2006-04-05  David Makovský (Yakeen) <yakeen@sannyas-on.net>
	
	* MonoDevelop.Startup.mdp: Updated project files

2006-03-29 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Startup/MonoDevelopMain.cs: Shutdown the runtime
	  before exiting.

2006-03-24 Lluis Sanchez Gual  <lluis@novell.com>   

	* Makefile.am: Fix 'all' rule.

2006-03-02  Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Startup/MonoDevelopMain.cs: Enable assembly 
	conflict check for the main MD app.

2005-12-03  John Luke  <john.luke@gmail.com>

	* MonoDevelop.Startup/AddinLoadErrorDialog.cs:
	* MonoDevelop.Startup/ExceptionBox.cs:
	* MonoDevelop.Startup/MonoDevelopOptions.cs: remove
	this stuff was all moved to MonoDevelop.IDE
	* Makefile.am: 
	* AssemblyInfo.cs.in: update
	
2005-10-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Startup/AddinLoadErrorDialog.cs:
	* MonoDevelop.Startup/MonoDevelopMain.cs: Moved most of code to
	MonoDevelop.Ide.

2005-08-29  John Luke  <john.luke@gmail.com>

	* MonoDevelop.Startup.glade: fix typo, bug #75914

2005-08-13  Todd Berman  <tberman@off.net>

	* MonoDevelopMain.cs: Fix the socket ObjectDisposed. Only to uncover
	another ObjectDisposed, that I do not understand how to debug.

2005-08-10  Ben Motmans  <ben.motmans@gmail.com>

	* MonoDevelop.Startup.mdp: references update

2005-08-08  John Luke  <john.luke@gmail.com>

	* Makefile.am: add glade file to EXTRA_DIST to pass distcheck
	
2005-08-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelopMain.cs: Show an error dialog if something goes wrong
	while initializing.

2005-08-03  Ben Motmans  <ben.motmans@gmail.com>

	* MonoDevelopMain.cs: Show a meaningfull error when the local
	hostname cannot be resolved

2005-07-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Startup.glade:
	* Dialogs/AddinLoadErrorDialog.cs: Improved the error dialog.

2005-07-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelopMain.cs: Show an error dialog if there is some error
	while initializing the addins.
	* Dialog/AggregatedProgressMonitor.cs: New dialog for showing addin
	load errors.
	* Makefile.am: Added glade file.

2005-06-28  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (FILES): Move AssemblyInfo.cs ...
	(GENERATED_FILES): ... here.

2005-04-17  John Luke  <john.luke@gmail.com>

	* Makefile.am: fix distcheck

2005-04-01	Christian Hergert	<christian.hergert@gmail.com>

	* Makefile.am: fix call to app.config

2005-04-01	Christian Hergert	<christian.hergert@gmail.com>

	* app.config: Add MonoDevelop.exe.config configuration file
	* Makefile.am: Update to include the configuration file

2005-03-10	Christian Hergert	<christian.hergert@gmail.com>

	* MonoDevelopMain.cs: Update the splash screen percentages
	and status messages.

2005-01-27  John Luke  <john.luke@gmail.com>

	* MonoDevelopMain.cs: remove unused code that
	caused warnings

2005-01-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelopMain.cs: Use new api for checking for combine files.

2004-12-03  John Luke  <john.luke@gmail.com>

	* Dialogs/ExceptionDialog.cs: remove obsolete gtype stuff
	* MonoDevelopMain.cs: comment out unused code
	* Makefile.am: remove ExceptionDialog from build

2004-09-18  Todd Berman  <tberman@off.net>

	* MonoDevelopMain.cs: Check if Build and Revision are not 0, and if
	so, use them as well when building the version #.

2004-08-07  Todd Berman  <tberman@off.net>

	* AssemblyInfo.cs.in: Use new ASSEMBLY_VERSION variable.

2004-07-01  John Luke  <jluke@cfl.rr.com>

	* MonoDevelopMain.cs: return 1 on error and 0 otherwise
	* MonoDevelopOptions.cs: remove unneeded -f option
	implement reusing MD instance only when we are getting passed
	arguments (like files). This allows more than one MD to be run
	at a time, and adding files from nautilus still works.  Less
	than perfect, but better than what it was

2004-07-01  John Luke  <jluke@cfl.rr.com>

	* MonoDevelopMain.cs: implement nologo
	* MonoDevelopOptions.cs: add -f and --nologo args

2004-07-01  John Luke  <jluke@cfl.rr.com>

	* AssemblyInfo.cs.in: clean up and add some informaition used below
	* Makefile.am: add Mono.GetOptions reference and new file
	* MonoDevelopOptions.cs: new file for handling options
	* MonoDevelopMain.cs: begin using MonoDevelopOptions

2004-07-01  Todd Berman  <tberman@off.net>

	* MonoDevelopMain.cs: Dont attempt to load 0 length filenames.

2004-06-28  Todd Berman  <tberman@off.net>

	* MonoDevelopMain.cs: add Exit (0); and poof, issues are gone.

2004-05-24  Todd Berman  <tberman@sevenl.net>

	* Makefile.am: add Mono.Posix reference
	* MonoDevelopMain.cs: Use a unix socket to only allow one instance of
	MD to be open at a time. This should eventually use something like
	dbus or something else instead of a unix socket. Also, a --new-process
	arg should be added or something similar to allow more than one
	open copy of MD at a time.

2004-04-19  Todd Berman  <tberman@sevenl.net>

	* Makefile.am: only link the one .resources file we need.

2004-04-07  John Luke  <jluke@cfl.rr.com>

	* MonoDevelopMain.cs: use reflection for the name and version

2004-04-02  Todd Berman  <tberman@sevenl.net>

	* MonoDevelopMain.cs: move SharpDevelopMain.cs... damn i love svn.

2004-04-02  Todd Berman  <tberman@sevenl.net>

	* SharpDevelopMain.cs: bump to 0.3
